svn commit: samba r2305 - in branches/SAMBA_4_0/source/script: . tests

tridge at samba.org tridge at samba.org
Mon Sep 13 02:37:39 GMT 2004


Author: tridge
Date: 2004-09-13 02:37:39 +0000 (Mon, 13 Sep 2004)
New Revision: 2305

WebSVN: http://websvn.samba.org/websvn/changeset.php?rep=samba&path=/branches/SAMBA_4_0/source/script&rev=2305&nolog=1

Log:
a useful test script for trying a wide variety of DCE/RPC options with the echo pipe
and smbtorture



Added:
   branches/SAMBA_4_0/source/script/tests/
   branches/SAMBA_4_0/source/script/tests/README
   branches/SAMBA_4_0/source/script/tests/test_echo.sh


Changeset:
Added: branches/SAMBA_4_0/source/script/tests/README
===================================================================
--- branches/SAMBA_4_0/source/script/tests/README	2004-09-13 02:36:38 UTC (rev 2304)
+++ branches/SAMBA_4_0/source/script/tests/README	2004-09-13 02:37:39 UTC (rev 2305)
@@ -0,0 +1,4 @@
+This directory contains test scripts that are useful for running a
+bunch of tests all at once. I expect it will eventually be hooked into
+a "make test" framework.
+

Added: branches/SAMBA_4_0/source/script/tests/test_echo.sh
===================================================================
--- branches/SAMBA_4_0/source/script/tests/test_echo.sh	2004-09-13 02:36:38 UTC (rev 2304)
+++ branches/SAMBA_4_0/source/script/tests/test_echo.sh	2004-09-13 02:37:39 UTC (rev 2305)
@@ -0,0 +1,47 @@
+#!/bin/sh
+
+if [ $# -lt 4 ]; then
+cat <<EOF
+Usage: test_echo.sh SERVER USERNAME PASSWORD DOMAIN
+EOF
+exit 1;
+fi
+
+server="$1"
+username="$2"
+password="$3"
+domain="$4"
+shift 4
+
+testit() {
+   cmdline="$*"
+   if ! $cmdline > test.$$ 2>&1; then
+       cat test.$$;
+       rm -f test.$$;
+       echo "TEST FAILED - $cmdline";
+       exit 1;
+   fi
+   rm -f test.$$;
+}
+
+for transport in ncacn_np ncacn_ip_tcp; do
+ for bindoptions in sign seal sign,seal validate padcheck bigendian bigendian,seal; do
+  for ntlmoptions in \
+        "--option=ntlmssp_client:ntlm2=yes" \
+        "--option=ntlmssp_client:ntlm2=no" \
+        "--option=ntlmssp_client:ntlm2=yes --option=ntlmssp_client:128bit=no" \
+        "--option=ntlmssp_client:ntlm2=no  --option=ntlmssp_client:128bit=no" \
+        "--option=ntlmssp_client:ntlm2=yes --option=ntlmssp_client:keyexchange=no" \
+        "--option=ntlmssp_client:ntlm2=no  --option=ntlmssp_client:keyexchange=no" \
+    ; do
+   echo Testing $transport with $bindoptions and $ntlmoptions
+   testit bin/smbtorture $transport:"$server":$bindoptions $ntlmoptions -U"$username"%"$password" -W $domain RPC-ECHO "$*"
+  done
+ done
+done
+
+# separately test the print option - its v slow
+echo Testing print option
+testit bin/smbtorture ncacn_np:"$server":print -U"$username"%"$password" -W $domain RPC-ECHO "$*"
+
+echo "ALL OK";


Property changes on: branches/SAMBA_4_0/source/script/tests/test_echo.sh
___________________________________________________________________
Name: svn:executable
   + *



More information about the samba-cvs mailing list